/*
File Name: TimeGOC.h
Created By: Andy Odle
Date: Dec 18, 2009

Description: 
    
*/

#ifndef TimeGOC_h
#define TimeGOC_h

#include <ctime>

class TimeGOC
{
    public:
    
        TimeGOC();
        ~TimeGOC();
        
        long TotalElapsedSeconds();
        long TotalElapsedMillSec();
        long ElapsedProgramSeconds(){return elapsedProgramSeconds_m;}
        long ElapsedProgramMillSec(){return elapsedProgramMillSec_m;}

    private:
        
        long elapsedProgramSeconds_m;
        long elapsedProgramMillSec_m;
};

#endif
